Questions
Q:

ng add @ng-bootstrap/ng-bootstrap failed

i try to install ng-bootstrap but got this error,

The package @ng-bootstrap/ng-bootstrap@12.1.2 will be installed and executed.
Would you like to proceed? Yes
npm ERR! code ERESOLVE
npm ERR! ERESOLVE unable to resolve dependency tree
npm ERR! 
npm ERR! While resolving: idenmatic-tt@0.0.0
npm ERR! Found: @angular/common@14.0.2
npm ERR! node_modules/@angular/common
npm ERR!   @angular/common@"^14.0.0" from the root project
npm ERR!
npm ERR! Could not resolve dependency:
npm ERR! peer @angular/common@"^13.0.0" from @ng-bootstrap/ng-bootstrap@12.1.2
npm ERR! node_modules/@ng-bootstrap/ng-bootstrap
npm ERR!   @ng-bootstrap/ng-bootstrap@"12.1.2" from the root project